      function ddlog(arg)
      implicit real*8 (a-h,o-z)
      if (arg.lt.1.d-65) then
      ddlog=-150.d0
      return
      else if (arg.gt.1.d65) then
      ddlog=150.d0
      return
      else
      ddlog=dlog(arg)
      return
      endif
      end
      
